September 21, 2026
· 4 min read
This release adds spam detection capabilities to broadcast messages and streamlines the send endpoint. All broadcast message responses now include a spam score to help you assess message quality before sending. The send endpoint has been simplified by removing unnecessary query parameters and request body requirements.
- PUT /communication/broadcast_messages/{id} now accepts and returns a spam score for content quality assessment
- POST /communication/broadcast_messages/{id}/send has been simplified by removing the request body and query parameters, and now returns spam score information in successful responses
- GET /reports/discount_code_uses/data now supports string IDs in addition to numeric IDs for the used_for field in report rows
- POST /communication/broadcast_messages returns spam scores when creating messages and no longer accepts expand or fields query parameters
- GET /communication/broadcast_messages/{id} now includes spam score information in message details
- PATCH /communication/broadcast_messages/{id} returns spam score information when updating messages
PUT /communication/broadcast_messages/{id}
- added the new required request property
content_check/spam_score(media type: application/json) - added the required property
content_check/spam_scoreto the response with the200status (media type: application/json)
POST /communication/broadcast_messages/{id}/send
- removed the request body
- deleted the
queryrequest parameterexpand - deleted the
queryrequest parameterfields - added the non-success response with the status
400 - added the required property
content_check/spam_scoreto the response with the200status (media type: application/json)
GET /reports/discount_code_uses/data
- response property
rows/items/used_for/idlist-of-types was widened by adding typesstringto media typeapplication/jsonof response200
POST /communication/broadcast_messages
- deleted the
queryrequest parameterexpand - deleted the
queryrequest parameterfields - added the non-success response with the status
400 - added the required property
content_check/spam_scoreto the response with the201status (media type: application/json)
GET /communication/broadcast_messages/{id}
- added the required property
content_check/spam_scoreto the response with the200status (media type: application/json)
PATCH /communication/broadcast_messages/{id}
- added the required property
content_check/spam_scoreto the response with the200status (media type: application/json)